{% extends "base_wagtail_page.html" %}

{% load blog_tags %}
{% load i18n %}
{% load static %}
{% load wagtailcore_tags %}
{% load wagtailimages_tags %}

{% block extra_css %}
    <link rel="stylesheet" type="text/x-scss" href="{% static 'blog/scss/blog-index.scss' %}">
{% endblock %}

{% block body_class %}template-blogindexpage{% endblock %}

{% block content %}
    <div class="jumbotron">
        <div class="container">
            <h1 class="display-3">{{ page.title }}</h1>
            <div class="lead">{{ page.intro|richtext }}</div>
        </div>
    </div>
    <div class="container">
        {% if tag %}
            <div class="row">
                <div class="col">
                    <p>{% trans "Viewing all blog posts tagged" %} <strong>{{ tag }}</strong></p>
                </div>
            </div>
        {% endif %}
        {% if not posts.count %}
            <div class="row">
                <div class="col pt-4 mb-4">
                    <p class="text-muted">{% trans "No blog posts found" %}</p>
                </div>
            </div>
        {% endif %}
        {% for post in posts %}
            {% with post=post.specific %}
            <div class="row blog-list-item py-4 border border-darker-light border-left-0 border-right-0 border-bottom-0">
                <div class="col">
                    <div class="media d-flex flex-column flex-md-row align-items-center align-items-md-start">
                        {% with post.main_image as main_image %}
                            {% if main_image %}
                                {% image main_image width-350 class="img-fluid rounded mr-0 mr-md-3" %}
                            {% endif %}
                        {% endwith %}
                        <div class="media-body mt-3 mt-md-0">
                            {% tag_list post %}
                            <h1 class="blog-list-title mb-1"><a href="{% pageurl post %}">{{ post.title }}</a></h1>
                            <h6 class="text-muted">{{ post.date }}</h6>
                            <p class="lead">{{ post.intro }}</p>
                        </div>
                    </div>
                </div>
            </div>
            {% endwith %}
        {% endfor %}
    </div>
{% endblock %}
